package cn.tsy.data.idsse.dsds.model.sample;

import java.time.LocalDateTime;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * 航次作业列表
 * 
 * @author: zxq
 * @date: 2024-05-16 09:47:01
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAMPLE_DATASET", key = "TSY_ID")
public class SampleDataset extends HmeBean {
	private static final long serialVersionUID = 3320175900580948727L;
	private Integer tsy_id;
	//作业编号：航次号_平台+潜次号_设备类型_数据样品类型
	private String dataset_name;
	//作业类型，站位作业，测线作业
	private String job_type;
	//航次内部编号
	private Integer voyage_id;
	//航次名称（冗余）
	private String voyage_name;
	//平台内部编号
	private Integer platform_id;
	//平台类型
	private String platform_type;
	//平台简称
	private String platform_alias;
	//潜次名称
	private String diving_sn;
	//样品类型
	private String data_type;
	//设备内部编号
	private Integer equipment_id;
	//设备简称
	private String equipment_alias;
	//设备类型
	private String equipment_type;
	//数据样品类型编号
	private Integer data_id;
	//设备样品类型检测
	private String data_alias;
	//平台名称
	private String platform_name;
	//备注信息
	private String dataset_remark;
	//创建时间
	private LocalDateTime create_time;
	//左舷
	private String driver_left;
	//右舷
	private String driver_right;
	//主驾
	private String driver_master;
	//左舷单位
	private String driver_unit_left;
	//右舷单位
	private String driver_unit_right;
	//入水时间
	private LocalDateTime water_in_time;
	//出水时间
	private LocalDateTime water_out_time;
	//水中时间
	private Integer water_minutes;
	//坐底时间
	private LocalDateTime bottom_time;
	//抛载时间
	private LocalDateTime throwing_time;
	//回收时间
	private LocalDateTime receive_time;
	//作业时间
	private Integer job_minutes;
	//布放经度
	private String wiring_lon;
	//布放纬度
	private String wiring_lat;
	//布放深度
	private String wiring_deep;
	//设备编号
	private String equipment_sn;
	//设备型号
	private String equipment_model;
	//设备定标时间
	private LocalDateTime equipment_time;
	//潜水器轨迹文件
	private String diving_track_file;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 作业编号：航次号_平台+潜次号_设备类型_数据样品类型
	 */
	public String getDataset_name() {
		return this.dataset_name;
	}

	/****
	 * 作业编号：航次号_平台+潜次号_设备类型_数据样品类型
	 */
	public void setDataset_name(String dataset_name) {
		this.dataset_name = dataset_name;
	}

	/****
	 * 作业类型，站位作业，测线作业
	 */
	public String getJob_type() {
		return this.job_type;
	}

	/****
	 * 作业类型，站位作业，测线作业
	 */
	public void setJob_type(String job_type) {
		this.job_type = job_type;
	}

	/****
	 * 航次内部编号
	 */
	public Integer getVoyage_id() {
		return this.voyage_id;
	}

	/****
	 * 航次内部编号
	 */
	public void setVoyage_id(Integer voyage_id) {
		this.voyage_id = voyage_id;
	}

	/****
	 * 航次名称（冗余）
	 */
	public String getVoyage_name() {
		return this.voyage_name;
	}

	/****
	 * 航次名称（冗余）
	 */
	public void setVoyage_name(String voyage_name) {
		this.voyage_name = voyage_name;
	}

	/****
	 * 平台内部编号
	 */
	public Integer getPlatform_id() {
		return this.platform_id;
	}

	/****
	 * 平台内部编号
	 */
	public void setPlatform_id(Integer platform_id) {
		this.platform_id = platform_id;
	}

	/****
	 * 平台类型
	 */
	public String getPlatform_type() {
		return this.platform_type;
	}

	/****
	 * 平台类型
	 */
	public void setPlatform_type(String platform_type) {
		this.platform_type = platform_type;
	}

	/****
	 * 平台简称
	 */
	public String getPlatform_alias() {
		return this.platform_alias;
	}

	/****
	 * 平台简称
	 */
	public void setPlatform_alias(String platform_alias) {
		this.platform_alias = platform_alias;
	}

	/****
	 * 潜次名称
	 */
	public String getDiving_sn() {
		return this.diving_sn;
	}

	/****
	 * 潜次名称
	 */
	public void setDiving_sn(String diving_sn) {
		this.diving_sn = diving_sn;
	}

	/****
	 * 样品类型
	 */
	public String getData_type() {
		return this.data_type;
	}

	/****
	 * 样品类型
	 */
	public void setData_type(String data_type) {
		this.data_type = data_type;
	}

	/****
	 * 设备内部编号
	 */
	public Integer getEquipment_id() {
		return this.equipment_id;
	}

	/****
	 * 设备内部编号
	 */
	public void setEquipment_id(Integer equipment_id) {
		this.equipment_id = equipment_id;
	}

	/****
	 * 设备简称
	 */
	public String getEquipment_alias() {
		return this.equipment_alias;
	}

	/****
	 * 设备简称
	 */
	public void setEquipment_alias(String equipment_alias) {
		this.equipment_alias = equipment_alias;
	}

	/****
	 * 设备类型
	 */
	public String getEquipment_type() {
		return this.equipment_type;
	}

	/****
	 * 设备类型
	 */
	public void setEquipment_type(String equipment_type) {
		this.equipment_type = equipment_type;
	}

	/****
	 * 数据样品类型编号
	 */
	public Integer getData_id() {
		return this.data_id;
	}

	/****
	 * 数据样品类型编号
	 */
	public void setData_id(Integer data_id) {
		this.data_id = data_id;
	}

	/****
	 * 设备样品类型检测
	 */
	public String getData_alias() {
		return this.data_alias;
	}

	/****
	 * 设备样品类型检测
	 */
	public void setData_alias(String data_alias) {
		this.data_alias = data_alias;
	}

	/****
	 * 平台名称
	 */
	public String getPlatform_name() {
		return this.platform_name;
	}

	/****
	 * 平台名称
	 */
	public void setPlatform_name(String platform_name) {
		this.platform_name = platform_name;
	}

	/****
	 * 备注信息
	 */
	public String getDataset_remark() {
		return this.dataset_remark;
	}

	/****
	 * 备注信息
	 */
	public void setDataset_remark(String dataset_remark) {
		this.dataset_remark = dataset_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 左舷
	 */
	public String getDriver_left() {
		return this.driver_left;
	}

	/****
	 * 左舷
	 */
	public void setDriver_left(String driver_left) {
		this.driver_left = driver_left;
	}

	/****
	 * 右舷
	 */
	public String getDriver_right() {
		return this.driver_right;
	}

	/****
	 * 右舷
	 */
	public void setDriver_right(String driver_right) {
		this.driver_right = driver_right;
	}

	/****
	 * 主驾
	 */
	public String getDriver_master() {
		return this.driver_master;
	}

	/****
	 * 主驾
	 */
	public void setDriver_master(String driver_master) {
		this.driver_master = driver_master;
	}

	/****
	 * 左舷单位
	 */
	public String getDriver_unit_left() {
		return this.driver_unit_left;
	}

	/****
	 * 左舷单位
	 */
	public void setDriver_unit_left(String driver_unit_left) {
		this.driver_unit_left = driver_unit_left;
	}

	/****
	 * 右舷单位
	 */
	public String getDriver_unit_right() {
		return this.driver_unit_right;
	}

	/****
	 * 右舷单位
	 */
	public void setDriver_unit_right(String driver_unit_right) {
		this.driver_unit_right = driver_unit_right;
	}

	/****
	 * 入水时间
	 */
	public LocalDateTime getWater_in_time() {
		return this.water_in_time;
	}

	/****
	 * 入水时间
	 */
	public void setWater_in_time(LocalDateTime water_in_time) {
		this.water_in_time = water_in_time;
	}

	/****
	 * 出水时间
	 */
	public LocalDateTime getWater_out_time() {
		return this.water_out_time;
	}

	/****
	 * 出水时间
	 */
	public void setWater_out_time(LocalDateTime water_out_time) {
		this.water_out_time = water_out_time;
	}

	/****
	 * 水中时间
	 */
	public Integer getWater_minutes() {
		return this.water_minutes;
	}

	/****
	 * 水中时间
	 */
	public void setWater_minutes(Integer water_minutes) {
		this.water_minutes = water_minutes;
	}

	/****
	 * 坐底时间
	 */
	public LocalDateTime getBottom_time() {
		return this.bottom_time;
	}

	/****
	 * 坐底时间
	 */
	public void setBottom_time(LocalDateTime bottom_time) {
		this.bottom_time = bottom_time;
	}

	/****
	 * 抛载时间
	 */
	public LocalDateTime getThrowing_time() {
		return this.throwing_time;
	}

	/****
	 * 抛载时间
	 */
	public void setThrowing_time(LocalDateTime throwing_time) {
		this.throwing_time = throwing_time;
	}

	/****
	 * 回收时间
	 */
	public LocalDateTime getReceive_time() {
		return this.receive_time;
	}

	/****
	 * 回收时间
	 */
	public void setReceive_time(LocalDateTime receive_time) {
		this.receive_time = receive_time;
	}

	/****
	 * 作业时间
	 */
	public Integer getJob_minutes() {
		return this.job_minutes;
	}

	/****
	 * 作业时间
	 */
	public void setJob_minutes(Integer job_minutes) {
		this.job_minutes = job_minutes;
	}

	/****
	 * 布放经度
	 */
	public String getWiring_lon() {
		return this.wiring_lon;
	}

	/****
	 * 布放经度
	 */
	public void setWiring_lon(String wiring_lon) {
		this.wiring_lon = wiring_lon;
	}

	/****
	 * 布放纬度
	 */
	public String getWiring_lat() {
		return this.wiring_lat;
	}

	/****
	 * 布放纬度
	 */
	public void setWiring_lat(String wiring_lat) {
		this.wiring_lat = wiring_lat;
	}

	/****
	 * 布放深度
	 */
	public String getWiring_deep() {
		return this.wiring_deep;
	}

	/****
	 * 布放深度
	 */
	public void setWiring_deep(String wiring_deep) {
		this.wiring_deep = wiring_deep;
	}

	/****
	 * 设备编号
	 */
	public String getEquipment_sn() {
		return this.equipment_sn;
	}

	/****
	 * 设备编号
	 */
	public void setEquipment_sn(String equipment_sn) {
		this.equipment_sn = equipment_sn;
	}

	/****
	 * 设备型号
	 */
	public String getEquipment_model() {
		return this.equipment_model;
	}

	/****
	 * 设备型号
	 */
	public void setEquipment_model(String equipment_model) {
		this.equipment_model = equipment_model;
	}

	/****
	 * 设备定标时间
	 */
	public LocalDateTime getEquipment_time() {
		return this.equipment_time;
	}

	/****
	 * 设备定标时间
	 */
	public void setEquipment_time(LocalDateTime equipment_time) {
		this.equipment_time = equipment_time;
	}

	/****
	 * 潜水器轨迹文件
	 */
	public String getDiving_track_file() {
		return this.diving_track_file;
	}

	/****
	 * 潜水器轨迹文件
	 */
	public void setDiving_track_file(String diving_track_file) {
		this.diving_track_file = diving_track_file;
	}
}